%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-xmpp
Version:        0.4.1
Release:        6%{?dist}
Summary:        Python library for easy scripting with Jabber

Group:          Development/Languages
License:        GPLv2+
URL:            http://xmpppy.sourceforge.net/
Source0:        http://downloads.sourceforge.net/xmpppy/xmpppy-%{version}.tar.gz
# HTTPPROXYsocket will send data before we have a Dispatcher (from upstream CVS)
Patch0:         xmpppy-dispatcher.diff
# Handle spaces in SASL DIGEST-MD5 responses correctly (from upstream CVS)
# Fix for incorrect-encoding during SASL PLAIN auth (from upstream CVS)
# Allow anonymous auth if username is None (from upstream CVS)
Patch1:         xmpppy-auth-fixes.diff
# Add extra XEP refs (from upstream CVS)
Patch2:         xmpppy-extra-xep-refs.diff
# simplexml updates from gajim (from upstream CVS)
Patch3:         xmpppy-gajim-simplexml-updates.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       xmpppy = %{version}-%{release}

BuildArch:      noarch

%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

Requires:      python-dns

%description
xmpppy is a Python library that is targeted to provide easy scripting
with Jabber. Similar projects are Twisted Words and jabber.py.

This library was not designed from scratch. It inherits some code from
jabberpy and have very similar API in many places. Though it is
separate project since it have almost completely different
architecture and primarily aims to work with jabberd2 - the new Open
Source Jabber Server.

%prep
%setup -q -n xmpppy-%{version}
%patch0 -p0 -b .dispatcher
%patch1 -p0 -b .auth_orig
%patch2 -p0 -b .extra_refs
%patch3 -p0 -b .gajim

# strip executable permissions so that dependencies aren't picked up
# from documentation files.
find doc -type f | xargs chmod a-x

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README doc/*

%{python_sitelib}/*

%changelog
* Sun Mar 15 2009 Peter Lemenkov <lemenkov@gmail.com> -  0.4.1-6
- Added Provides: xmpppy
- Added patches from upstream CVS
- Fixed Source0 link

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.1-4
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.1-3
- fix license tag

* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-2
- Get eggs building correctly on F-7 and F-8.

* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-1
- Update to 0.4.1.

* Thu Jan  3 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-3
- Change files section to pick up egg info files.

* Fri Dec  8 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-2
- Bump release for rebuild with Python 2.5.

* Wed Nov 22 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-2
- Remove unneeded python_sitearch macro
- Remove unneeded python-abi requirement
- No longer ghost *.pyo files

* Fri May 26 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3.1-1
- First version for Fedora Extras


